[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLStatement.Execute

Execute the SQL statement.

## Declaration

Source position: sqldb.pp line 424

`public procedure TCustomSQLStatement.Execute;`

## Description

Execute executes the SQL statement on the database. If necessary, it will first open the connection and start a transaction, followed by a call to Prepare.

## Errors

An exception is raised if there is no SQL statement set or the Database or Transaction properties are empty.

If an error occurs at the database level (the SQL failed to execute properly) then an exception is raised as well.

## See also

TSQLStatement.SQL |  | The SQL statement to execute
TSQLStatement.Database |  | Database instance to execute statement on.
TSQLStatement.Transaction |  | The transaction in which the SQL statement should be executed.